## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           arc-kde
Version:        20220908
Release:        %autorelease
Summary:        Port of the popular GTK theme Arc for the Plasma 5 desktop

License:        GPL-3.0-only AND CC-BY-SA-4.0
URL:            https://github.com/PapirusDevelopmentTeam/arc-kde
Source0:        %url/archive/%{version}/%{name}-%{version}.tar.gz

# https://github.com/PapirusDevelopmentTeam/arc-kde/pull/145
Patch0:         arc-kde-plasma-6-support.patch

BuildArch:      noarch

BuildRequires:  make

Recommends:     %{name}-kvantum
Recommends:     %{name}-decorations
Recommends:     %{name}-konsole
Recommends:     %{name}-konversation
Recommends:     %{name}-wallpapers
Recommends:     %{name}-yakuake
Recommends:     papirus-icon-theme


%description
This is a port of the popular GTK theme Arc for Plasma 5 desktop with a few 
additions and extras.

In this package you'll find:

 - Aurorae Themes
 - Konsole Color Schemes
 - Konversation Themes
 - Kvantum Themes
 - Plasma Color Schemes
 - Plasma Desktop Themes
 - Plasma Look-and-Feel Settings
 - Wallpapers
 - Yakuake Skins
 - Extra tools


%package kvantum
Summary:    Arc-KDE Kvantum theme
License:    GPL-3.0-only
BuildArch:  noarch
Requires:   kvantum

%description kvantum
This is a port of the popular GTK theme Arc for Plasma 5 desktop with a few 
additions and extras.

This package contains the ArcDark ard ArcDarker Kvantum theme.


%package decorations
Summary:    Arc-KDE Aurorae theme
License:    GPL-3.0-only
BuildArch:  noarch

%description decorations
This is a port of the popular GTK theme Arc for Plasma 5 desktop with a few 
additions and extras.

This package contains the Aurorae window decorations.


%package konsole
Summary:    Arc-KDE Konsole theme
License:    GPL-3.0-only
BuildArch:  noarch

%description konsole
This is a port of the popular GTK theme Arc for Plasma 5 desktop with a few 
additions and extras.

This package contains the ArcDark Konsole theme.


%package konversation
Summary:    Arc-KDE Konversation theme
License:    GPL-3.0-only
BuildArch:  noarch

%description konversation
This is a port of the popular GTK theme Arc for Plasma 5 desktop with a few 
additions and extras.

This package contains the Konversation theme.


%package wallpapers
Summary:    Arc-KDE wallpapers
License:    CC-BY-SA-4.0
BuildArch:  noarch

%description wallpapers
This is a port of the popular GTK theme Arc for Plasma 5 desktop with a few 
additions and extras.

This package contains the Arc wallpapers.


%package yakuake
Summary:    Arc-KDE Yakuake theme
License:    GPL-3.0-only
BuildArch:  noarch

%description yakuake
This is a port of the popular GTK theme Arc for Plasma 5 desktop with a few 
additions and extras.

This package contains the Yakuake theme.


%prep
%autosetup -p1

cp wallpapers/Arc-Dark/LICENSE LICENSE-wallpapers


%build
# Nothing to build


%install
%make_install


%files
%license LICENSE LICENSE-wallpapers
%doc AUTHORS README.md
%{_datadir}/color-schemes/*.colors
%{_datadir}/plasma/desktoptheme/Arc-Color
%{_datadir}/plasma/desktoptheme/Arc-Dark
%{_datadir}/plasma/look-and-feel/com.github.varlesh.*


%files decorations
%license LICENSE
%{_datadir}/aurorae/themes/Arc
%{_datadir}/aurorae/themes/Arc-Dark


%files konsole
%license LICENSE
%{_datadir}/konsole/*.colorscheme


%files konversation
%license LICENSE
%{_datadir}/konversation/themes/papirus
%{_datadir}/konversation/themes/papirus-dark


%files kvantum
%license LICENSE
%{_datadir}/Kvantum/Arc
%{_datadir}/Kvantum/ArcDark
%{_datadir}/Kvantum/ArcDarker


%files wallpapers
%license LICENSE-wallpapers
%{_datadir}/wallpapers/Arc
%{_datadir}/wallpapers/Arc-Dark
%{_datadir}/wallpapers/Arc-Mountains


%files yakuake
%license LICENSE
%{_datadir}/yakuake/skins/arc
%{_datadir}/yakuake/skins/arc-dark


%changelog
## START: Generated by rpmautospec
* Tue Mar 26 2024 Arthur Bols <arthur@bols.dev> - 20220908-9
- Update plasma 6 patch

* Tue Mar 26 2024 Arthur Bols <arthur@bols.dev> - 20220908-8
- Add missing arc-kde-plasma-6-support.patch

* Tue Mar 26 2024 Arthur Bols <arthur@bols.dev> - 20220908-7
- Patch for plasma 6 support

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20220908-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20220908-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Aug 20 2023 Miroslav Suchý <msuchy@fedoraproject.org> - 20220908-4
- Correct SPDX license formula

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20220908-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20220908-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Oct 23 2022 Robert-André Mauchin <zebob.m@gmail.com> - 20220908-1
- Update to 20220908

* Wed Aug 10 2022 Arthur Bols <arthur@bols.dev> - 20220810-1
- Update to 20220810 - Close: rhbz#2115202

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20220706-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 09 2022 Robert-André Mauchin <zebob.m@gmail.com> - 20220706-1
- Update to 20220706 - Close: rhbz#2104742

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 20220612-1
- Update to 20220612 Close: rhbz#2093293

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20180614-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20180614-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20180614-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20180614-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20180614-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20180614-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20180614-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 02 2018 Robert-André Mauchin <zebob.m@gmail.com> - 20180614-1
- Initial release

## END: Generated by rpmautospec
